VGS(8)

NAME
vgs - report information about volume groups

SYNOPSIS
vgs [--aligned] [-d/--debug] [-h/-?/--help] [--ignorelockingfailure] [--noheadings] [--nosuffix] [-o/--options [+]Field[,Field]] [-O/--sort [+/-]Key1[,[+/-]Key2[,...]]] [-P/--partial] [--separator Separator] [--unbuffered] [--units hsbkmgtHKMGT] [-v/--verbose] [--version] [VolumeGroupName [VolumeGroupName...]]

DESCRIPTION
vgs produces formatted output about volume groups.

OPTIONS
See lvm for common options.

--aligned
    Use with --separator to align the output columns.

--noheadings
    Suppress the headings line that is normally the first line of output. Useful if grepping the output.

--nosuffix
    Suppress the suffix on output sizes. Use with --units (except h and H) if processing the output.

-o, --options
    Comma-separated ordered list of columns. Precede the list with '+' to append to the default selection of columns. Column names are: vg_fmt, vg_uuid, vg_name, vg_attr, vg_size, vg_free, vg_sysid, vg_extent_size, vg_extent_count, vg_free_count, max_lv, max_pv, pv_count, lv_count, snap_count, vg_seqno, vg_tags. Any "vg_" prefixes are optional. Columns mentioned in either pvs (8) or lvs (8) can also be chosen, but columns cannot be taken from both at the same time. The vg_attr bits are: (w)riteable, (r)eadonly, resi(z)eable, e(x)ported, (p)artial and (c)lustered.

-O, --sort
    Comma-separated ordered list of columns to sort by. Replaces the default selection. Precede any column with - for a reverse sort on that column.

--separator Separator
    String to use to separate each column. Useful if grepping the output.

--unbuffered
    Produce output immediately without sorting or aligning the columns properly.

--units hsbkmgtHKMGT
    All sizes are output in these units: (h)uman-readable, (s)ectors, (b)ytes, (k)ilobytes, (m)egabytes, (g)igabytes, (t)erabytes. Capitalise to use multiples of 1000 (S.I.) instead of 1024. Can also specify custom (u)nits e.g. --units 3M

SEE ALSO
vgdisplay(8), pvs(8), lvs(8)